function mostrarEnlazadas(elem){
	//mirar si es el seleccionado es un si
	var idBloque = elem.id.split('_')[1];
	var idPregunta = elem.id.split('_')[2];
	if(elem.value==ID_TIPO_RESPUESTA_SI){
		$('[id^="bloque_'+ idPregunta + '_"]').removeClass("d-none");
		$('[id^="pregunta_'+ idBloque + '_' +idPregunta + '_"]').removeClass("d-none");
	}else{
		$('[id^="bloque_'+ idPregunta + '_"]').addClass("d-none");
		$('[id^="bloque_'+ idPregunta + '_"] :input').prop('checked', false);
		$('[id^="pregunta_'+ idBloque + '_' +idPregunta + '_"]').addClass("d-none");
		$('[id^="pregunta_'+ idBloque + '_' +idPregunta + '_"] :input').prop('checked', false);
	}
}

jQuery(function($){
	
	jQuery("#btnEnviarEncuesta").click(function(){
		if ($("#encuestaForm").valid()) {
			$("#encuestaForm").submit();
		}
	});
	
	jQuery.validator.addClassRules("textarea", {
	  maxlength: 500
	});
	
	$("#encuestaForm").validate({
		  errorPlacement: function(error, element) {
			  $("#" + element[0].id).parent().parent().parent().append(error)
		  }
		});
	
	$('.y41e-content').addClass('in');
	
});